package com.ruoyi.system.service;

import com.ruoyi.system.domain.*;

import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.io.FileNotFoundException;
import java.util.List;

/**
 * 企业Service接口
 *
 * @author xu
 * @date 2019-08-22
 */
public interface ICompanyService
{
    /**
     * 查询企业待审核
     */
    List<QyInfo> selectFlgInfo(String flg,QyInfo info);

    /**
     * 只查看自己(管理员)审核中的企业
     */
    List<QyInfo>selectFlgInfoI(String flg,String userId,QyInfo info);

    /**
     * id查询info(企业审核表)详细信息
     */
    QyInfo selectIdAll(String id);

    /**
     * 根据id改变企业为审核中状态(1)
     */
     int alteraudit(String id,Long userId);

    /**
     * 查询企业申请来源字典
     */
    List<String> selectQyApply();

    /**
     * 保存不予受理
     */
    int updateSend(String id,Long userId,String returnReason);

    /**
     * 查询企业退回便捷语
     */
    List<String>selectqyeasy();
    /**
     * 添加企业便捷语
     */
    int insertQyeasy(String add);
    /**
     * 查企业退回表
     */
    List<QySend> selectQySend(QyInfo info);

    /**
     * 保存审核通过
     */
    int updateAuditPass(String id, String xycode, String book, String reg, String regdate, String QRcode, Long userId, HttpServletRequest request);

    /**
     * 修改保存企业基本信息
     */
    int updateQymessage(QyInfo info);

    /**
     * 根据企业的bsid查询党建信息
     */
    QyDjxx selectQyjdxx(String bsId);

    /**
     * 法定代表人、董事、监事、经理表单
     */
    List<QyPerson> selectidPerson(String bsid);

    /**
     * 股东出资人表单
     */
    List<QyCzrxx> selectCzrxx(String bsId);

    /**
     * 修改有党建组织党建信息
     */
    int updateQyjdzzAll(QyDjxx djxx);

    /**
     * 修改没有党建组织党建信息
     */
    int updateQyjdzz(QyDjxx djxx);

    /**
     * 查询财务负责人
     */
    QyPerson selectFinance(String bsid);

    /**
     *修改保存财务负责人
     */
    int updateFinance(QyPerson person);

    /**
     * 查看股东人详细信息
     */
    QyCzrxx selectCzrxxById(String id);

    /**
     * 保存更新股东详细信息
     */
    int updateQyCzrxx(QyCzrxx czrxx);

    /**
     * 法定法定代表人、董事、监事、经理详细信息
     */
    QyPerson selectQyPersonById(String id);

    /**
     * 修改保存法定法定代表人、董事、监事、经理详细信息
     */
    int updateQyPerson(QyPerson person);
	
    /**
     * 下载单个word文件
     */
    File createDoc(String id , String down) throws FileNotFoundException;
}
